Description

The documentation strings claim that errors {informer,listener,reader}-creation-failed would be signaled, but that is not true.

Associated revisions
Revision 540856b6 - 05/31/2011 09:46 AM - J. Moringen
Added new conditions for failed participation in src/conditions.lisp
refs #319
    -  src/conditions.lisp (listener-creation-failed): new condition;

  signaled when the creation of a listener fails
  (reader-creation-failed): new condition; signaled when the creation
  of a reader fails
  (informer-creation-failed): changed superclass rsb-error ->
  participation-failed

    -  src/package.lisp (package rsb): added exported symbols
  participation-failed-transports, listener-creation-failed and
  reader-creation-failed

Revision f6222386 - 08/24/2011 12:38 AM - J. Moringen
Translate errors in src/{reader,listener,informer}.lisp
fixes #319
    -  src/reader.lisp (make-reader): wrap signaled errors in an

  `reader-creation-failed'
    -  src/listener.lisp (make-listener): similar for

  `listener-creation-failed'
    -  src/informer.lisp (make-informer t t): similar for

  `informer-creation-failed'

History
#1 - 08/24/2011 12:38 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r2432.
